import express, {Router} from "express";
import { authenticate } from "@middlewares/auth";
import authRoutes from "./auth";
import accountRoutes from "./account";
import projectRoutes from "./project";
import keyRoutes from "./key";
import memberRoutes from "./member";

const app: Router = express.Router();

// Middlewares that don't require authentication
app.use("/auth", authRoutes);
app.use("/user", accountRoutes);

// Middlewares that require authentication
app.use("/project", authenticate, projectRoutes);
app.use("/key", authenticate, keyRoutes);
app.use("/member", authenticate, memberRoutes);

export default app;